> For the complete documentation index, see [llms.txt](https://docs.prismacloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.prismacloud.io/admin-guide/33/vulnerability-management/registry-scanning/scan-ibm-cloud-container-registry.md).

# IBM Cloud Container Registry

To scan a repository on IBM Cloud Container Registry, create a new registry scan setting.

## Create a new registry scan

**Prerequisites:**

* [Install a Defender](/admin-guide/33/install/deploy-defender/defender-types.md) somewhere in your environment.
* Set up IBM credentials with basic authentication in [Credentials store](https://github.com/PaloAltoNetworks/pc-docs-md/tree/main/compute-edition/33/admin-guide/authentication/credentials-store/credentials-store.md) and grant Prisma Cloud access to your repository in IBM Cloud.
  * In **Account GUID**, enter the GUID for your IBM Cloud account. See the IBM Cloud Docs to learn [how to get the GUID of an account](https://cloud.ibm.com/docs/account?topic=account-accountfaqs\&interface=cli#account-details)
  * In **API Key**, enter your API key. See the IBM Cloud Docs to learn how to create a service ID for Prisma Cloud, and then [create an API key for the service ID](https://cloud.ibm.com/docs/account?topic=account-serviceidapikeys\&interface=ui#create_service_key).
  * Select **Save**.

1. Go to **Defend > Vulnerabilities > Images > Registry settings**.
2. Select **Add registry**.
3. In the dialog, enter the following information:
   1. From the **Version** drop-down list, select **IBM Cloud Container Registry**.
   2. In **Registry**, enter the registry address for your [region](https://cloud.ibm.com/docs/Registry?topic=Registry-registry_overview#registry_regions).

      For example, if you use the us-south registry, enter **us.icr.io**.
   3. In **Namespace**, enter the namespace for your image.

      For images in private registries, this field is mandatory. For images in IBM’s public registry, leave this field blank. Wildcards are not supported for this field.

      IBM provides [namespaces](https://cloud.ibm.com/docs/Registry?topic=Registry-registry_overview#overview_elements_namespace) to help you organize your registries. Namespaces are appended to the registry URL as follows: *registry.\<REGION>.icr.io/\<NAMESPACE>*
   4. In **Repository**, enter the repository to scan.

      If you leave this field blank or enter a wildcard, Prisma Cloud finds and scans all repositories in the registry.

      If you specify a partial string that ends with a wildcard, Prisma Cloud finds and scans all repositories that start with the partial string.

      If you specify an exact match, Prisma Cloud scans just the specified repository.
   5. In **Tag**, enter an image tag.

      If you leave this field blank or enter a wildcard, Prisma Cloud finds and scans all images in the repository.

      If you specify a partial string that ends with a wildcard, Prisma Cloud finds and scans all images that match the partial tag.

      If you specify an exact match, Prisma Cloud scans just the specified image with specified tag.
   6. In **Credential**, select the credential you created for IBM Cloud.
   7. In **OS type**, specify whether the repo holds **Linux** or **Windows** images.
   8. In **Scanners scope**, specify the collections of defenders to use for the scan.

      Console selects the available Defenders from the scope to execute the scan job according to the **Number of scanners** setting. For more information, see [deployment patterns](/admin-guide/33/vulnerability-management/registry-scanning/configure-registry-scanning.md#deployment-patterns).
   9. In **Number of scanners**, enter the number of Defenders across which scan jobs can be distributed.
   10. **Cap** the number of images to scan.

       Specify the maximum number of images to scan in the given repository, sorted according to last modified date. To scan all images in a repository, set **Cap** to 0. For a complete explanation of **Cap**, see the table in [registry scan settings](https://github.com/PaloAltoNetworks/pc-docs-md/tree/main/compute-edition/33/admin-guide/vulnerability-management/registry-scanning/registry-scanning.md).
   11. Select **Add and scan**.

       Verify that the images in the repository are being scanned under **Monitor > Vulnerabilities > Images > Registries**.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.prismacloud.io/admin-guide/33/vulnerability-management/registry-scanning/scan-ibm-cloud-container-registry.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
